Subject: Re: bug#52705: 29.0.50; Flashing popups when x-gtk-use-system-tooltips is nil in pgtk

From: Po Lu <[email-masked]>
Date: Sat, 25 Dec 2021 17:39:23 +0800

martin rudalics <[email-masked]> writes:

> (emacs:1348): Gdk-CRITICAL **: 09:25:18.556: gdk_window_create_similar_surface: assertion 'GDK_IS_WINDOW (window)' failed

That points to the tooltip's window not being realized when
`pgtk_begin_cr_clip' is called, which "can't happen".

Can you run Emacs inside a debugger with the environment containing
`G_DEBUG=fatal-criticals' and show a backtrace?

> BTW: I cannot toggle the tool bar from the menu bar.  If it's here
> initially, it stays there.  If it's not here initially, I can't get it
> back.

I will look into that later, thanks.